| optoMDC

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoKummenberg.registers.MiscSystems.Manager Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.Manager:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | CheckSignalFlow (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | __init__ (self, int or None channel=None, board=None)
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False, float cmd_delay=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_names (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| input
| input_conditioning
| control
| output_conditioning
| output
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Detailed Description

    The Signal Flow Channel Manager is managing the active systems in the signal flow chain.
    System ID for channel X: 0x40

    +---------------------+---------------+-------------+----------+--------------+---------------+--------------------+
    | Register Name       | Id            | Type        | Unit     | Range        | Default       | Comment            |
    +=====================+===============+=============+==========+==============+===============+====================+
    | input               | 5xCHANNEL + 0 | uint 32-bit | SystemID | 0x48 to 0x7f |               |                    |
    +---------------------+---------------+-------------+----------+--------------+---------------+--------------------+
    | input_conditioning  | 5xCHANNEL + 1 | uint 32-bit | SystemID | 0x48 to 0x7f |               |                    |
    +---------------------+---------------+-------------+----------+--------------+---------------+--------------------+
    | control             | 5xCHANNEL + 2 | uint 32-bit | SystemID | 0x48 to 0x7f |               |                    |
    +---------------------+---------------+-------------+----------+--------------+---------------+--------------------+
    | output_conditioning | 5xCHANNEL + 3 | uint 32-bit | SystemID | 0x48 to 0x7f |               |                    |
    +---------------------+---------------+-------------+----------+--------------+---------------+--------------------+
    | output              | 5*CHANNEL + 4 | uint 32-bit | SystemID | 0x48 to 0x7f |               |                    |
    +---------------------+---------------+-------------+----------+--------------+---------------+--------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.MiscSystems.Manager.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ CheckSignalFlow()

def optoKummenberg.registers.MiscSystems.Manager.CheckSignalFlow | ( |  | self | ) |

## ◆ help()

def optoKummenberg.registers.MiscSystems.Manager.help | ( |  | ) |
| static

## Member Data Documentation

## ◆ control

optoKummenberg.registers.MiscSystems.Manager.control

## ◆ input

optoKummenberg.registers.MiscSystems.Manager.input

## ◆ input_conditioning

optoKummenberg.registers.MiscSystems.Manager.input_conditioning

## ◆ name

optoKummenberg.registers.MiscSystems.Manager.name

## ◆ output

optoKummenberg.registers.MiscSystems.Manager.output

## ◆ output_conditioning

optoKummenberg.registers.MiscSystems.Manager.output_conditioning

## ◆ sys_id

optoKummenberg.registers.MiscSystems.Manager.sys_id

The documentation for this class was generated from the following file:

- C:/Users/johnathon.barhydt/PycharmProjects/138-882-00_optoMDC/src/main/python/optoKummenberg/registers/MiscSystems.py